Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jgroups.demos
Class NotificationBusDemo

    java.lang.Object
      org.jgroups.demos.NotificationBusDemo

All Implemented Interfaces:
  NotificationBus.Consumer

    public class NotificationBusDemo

extends java.lang.Object
implements NotificationBus.Consumer

Demoes the NotificationBus (without caching). Start a number of members and type in messages. All members will receive the messages. View changes will also be displayed (e.g. member joined, left).

Author:
  Bela Ban

Constructor Summary
`NotificationBusDemo()`

Method Summary
`java.io.Serializable` | `getCache()` Called on the coordinator to obtains its cache
`void` | `handleNotification(java.io.Serializable n)`
`static void` | `main(java.lang.String[] args)`
`void` | `memberJoined(Address mbr)`
`void` | `memberLeft(Address mbr)`
`void` | `start(java.lang.String bus_name, java.lang.String props)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### NotificationBusDemo

    public NotificationBusDemo()

Method Detail

### start

    public void start(java.lang.String bus_name,
                      java.lang.String props)

### handleNotification

    public void handleNotification(java.io.Serializable n)

  Specified by:
    `handleNotification` in interface `NotificationBus.Consumer`

### getCache

    public java.io.Serializable getCache()

  Description copied from interface: `NotificationBus.Consumer`
  Called on the coordinator to obtains its cache

  Specified by:
    `getCache` in interface `NotificationBus.Consumer`

### memberJoined

    public void memberJoined(Address mbr)

  Specified by:
    `memberJoined` in interface `NotificationBus.Consumer`

### memberLeft

    public void memberLeft(Address mbr)

  Specified by:
    `memberLeft` in interface `NotificationBus.Consumer`

### main

    public static void main(java.lang.String[] args)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 1998-2009 Bela Ban / Red Hat. All Rights Reserved.